Package org.elasticsearch.xpack.sql.jdbc

# Class XContentSqlExtension

java.lang.Object
org.elasticsearch.xpack.sql.jdbc.XContentSqlExtension

All Implemented Interfaces:
  `org.elasticsearch.common.xcontent.XContentBuilderExtension`

    public class XContentSqlExtension
    extends java.lang.Object
    implements org.elasticsearch.common.xcontent.XContentBuilderExtension

Extension for SQL's JDBC specific classes that need to be encoded by `XContentBuilder` in a specific way.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`XContentSqlExtension()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.util.Map<java.lang.Class<?>,​java.util.function.Function<java.lang.Object,​java.lang.Object>>` | `getDateTransformers()` |
`java.util.Map<java.lang.Class<?>,​org.elasticsearch.common.xcontent.XContentBuilder.HumanReadableTransformer>` | `getXContentHumanReadableTransformers()` |
`java.util.Map<java.lang.Class<?>,​org.elasticsearch.common.xcontent.XContentBuilder.Writer>` | `getXContentWriters()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XContentSqlExtension

public XContentSqlExtension()

## Method Details

### getXContentWriters

public java.util.Map<java.lang.Class<?>,​org.elasticsearch.common.xcontent.XContentBuilder.Writer> getXContentWriters()

Specified by:
  `getXContentWriters` in interface `org.elasticsearch.common.xcontent.XContentBuilderExtension`

### getXContentHumanReadableTransformers

public java.util.Map<java.lang.Class<?>,​org.elasticsearch.common.xcontent.XContentBuilder.HumanReadableTransformer> getXContentHumanReadableTransformers()

Specified by:
  `getXContentHumanReadableTransformers` in interface `org.elasticsearch.common.xcontent.XContentBuilderExtension`

### getDateTransformers

public java.util.Map<java.lang.Class<?>,​java.util.function.Function<java.lang.Object,​java.lang.Object>> getDateTransformers()

Specified by:
  `getDateTransformers` in interface `org.elasticsearch.common.xcontent.XContentBuilderExtension`